View Issue Details

IDProjectCategoryView StatusLast Update
0000444luatexfeature requestpublic2015-11-09 10:00
ReporterTacoAssigned ToHans Hagen 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.85.0 
Summary0000444: support \write files in texio
DescriptionIt would be simple to add this:

\newwrite\test
\immediate\openout\test stuff.txt
\immediate\write\test {message1}
\directlua{%
    texio.write(\the\test,"message2") % first arg is a number, which is illegal now
}
\immediate\closeout\test
\bye

TagsNo tags attached.

Activities

Taco

2010-08-02 15:37

administrator   ~0000577

While at it, add texio.open() and texio.close() functions

Issue History

Date Modified Username Field Change
2010-07-31 08:47 Taco New Issue
2010-07-31 08:47 Taco Status new => assigned
2010-07-31 08:47 Taco Assigned To => Taco
2010-08-02 15:37 Taco Note Added: 0000577
2015-11-09 09:59 Hans Hagen Status assigned => closed
2015-11-09 10:00 Hans Hagen Assigned To Taco => Hans Hagen
2015-11-09 10:00 Hans Hagen Resolution open => fixed
2015-11-09 10:00 Hans Hagen Fixed in Version => 0.85.0